Package org.jbpm.workflow.instance.impl

## Class ExtendedNodeInstanceImpl

- java.lang.Object
- - org.jbpm.workflow.instance.impl.NodeInstanceImpl
  - - org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl

- All Implemented Interfaces:
    `Serializable`, `NodeInstance`, `org.kie.api.runtime.process.NodeInstance`
  Direct Known Subclasses:
    `EndNodeInstance`, `EventNodeInstance`, `StateBasedNodeInstance`

      public abstract class ExtendedNodeInstanceImpl
      extends NodeInstanceImpl

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `NodeInstanceImpl.NodeInstanceTrigger`

    - ### Nested classes/interfaces inherited from interface org.jbpm.workflow.instance.NodeInstance

      `NodeInstance.CancelType`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancelType, dynamicParameters, logger, slaCompliance, slaDueDate, slaTimerId, triggerTime, UNIQUE_ID`

    - ### Fields inherited from interface org.jbpm.workflow.instance.NodeInstance

      `METADATA_WRAP_ASYNC_NODE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExtendedNodeInstanceImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExtendedNodeImpl` | `getExtendedNode()` |
    `protected void` | `handleAssignment​(Assignment assignment)` |
    `void` | `internalTrigger​(org.kie.api.runtime.process.NodeInstance from, String type)` |
    `protected void` | `mapOutputSetVariables​(org.kie.api.runtime.process.NodeInstance nodeInstance, List<DataAssociation> dataOututAssoctiation, Map<String,​Object> ouputData)` |
    `protected void` | `mapOutputSetVariables​(org.kie.api.runtime.process.NodeInstance nodeInstance, List<DataAssociation> dataOututAssoctiation, Map<String,​Object> ouputData, BiConsumer<String,​Object> parameterSet)` |
    `void` | `triggerCompleted​(boolean remove)` |
    `protected void` | `triggerCompleted​(String type, boolean remove)` |
    `protected void` | `triggerEvent​(String type)` |

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancel, cancel, configureSla, executeAction, followConnection, getCancelType, getExecutionErrorHandler, getFrom, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getSlaCompliance, getSlaDueDate, getSlaTimerId, getTriggerTime, getUniqueId, getVariable, internalSetSlaCompliance, internalSetSlaDueDate, internalSetSlaTimerId, isAborted, isInversionOfControl, resolveContext, resolveContextInstance, resolveContextInstance, retrigger, setAborted, setDynamicParameters, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerConnection, triggerNode, triggerNode, triggerNodeInstance, triggerNodeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedNodeInstanceImpl

          public ExtendedNodeInstanceImpl()

  - ### Method Detail

    - #### getExtendedNode

          public ExtendedNodeImpl getExtendedNode()

    - #### internalTrigger

          public void internalTrigger​(org.kie.api.runtime.process.NodeInstance from,
                                      String type)

      Specified by:
        `internalTrigger` in class `NodeInstanceImpl`

    - #### triggerCompleted

          public void triggerCompleted​(boolean remove)

    - #### triggerCompleted

          protected void triggerCompleted​(String type,
                                          boolean remove)

      Overrides:
        `triggerCompleted` in class `NodeInstanceImpl`

    - #### triggerEvent

          protected void triggerEvent​(String type)

    - #### mapOutputSetVariables

          protected void mapOutputSetVariables​(org.kie.api.runtime.process.NodeInstance nodeInstance,
                                               List<DataAssociation> dataOututAssoctiation,
                                               Map<String,​Object> ouputData)

    - #### mapOutputSetVariables

          protected void mapOutputSetVariables​(org.kie.api.runtime.process.NodeInstance nodeInstance,
                                               List<DataAssociation> dataOututAssoctiation,
                                               Map<String,​Object> ouputData,
                                               BiConsumer<String,​Object> parameterSet)

    - #### handleAssignment

          protected void handleAssignment​(Assignment assignment)